.faq, .parameters {
    max-width: 600px; /* Ajustez selon vos besoins */
    margin: 0 auto;
}

.faq-item, .parameter-item {
    margin: 20px 0;
}

.faq-question, .parameter {
    cursor: pointer;
    background-color: #2c2c2c; /* Couleur de fond pour la question */
    color: #ffffff; /* Couleur du texte pour la question */
    padding: 10px 15px;
    border-radius: 5px;
    margin-bottom: 5px;
}
.parameter{
    cursor: default;
    padding: 15px;
    box-shadow: 0 0 10px 2px rgba(33, 245, 255, 0.5);
}
.faq-item span{
    font-weight: bolder;
    color: #21F5FF;
}
.response-box{
    display: none;
}

h1 {
    text-align: center;
    margin-bottom: 20px;
    color: #fff; /* Couleur du texte (blanc) */
    font-size: 24px;
    font-weight: bold;
}

.option-position{
    margin: 0;
    height: 23px;
}
.delete-button, .update-button{
    display: flex;
    width: fit-content;
    background-color: #282626;
    border-radius: 10px;
    background: #424242;
    border-radius: 15px;
    border: 1px solid rgba(33, 245, 255, 0.5);
    margin: 30px auto 15px;
    padding: 3px 10px;
}
.delete-button:hover{
    border: 1px solid #ff0000;
    color: #ff0000;
 }
.update-button:hover{
    box-shadow: 0 0 10px 2px rgba(33, 245, 255, 0.5);
    color: #42FEFF;
}

/* Ajustements pour la dernière ligne avec moins de 3 éléments */
.categorie-item:nth-last-child(-n+3) {
    margin-bottom: 10px; /* Ajout d'une marge en bas pour la dernière ligne */
}

@media (max-width: 767px) {
    .faq, .parameters {
        max-width: 100%; /* Ajustez selon vos besoins */
        margin: 0 auto;
        padding: 0 20px; /* Ajout de marges intérieures */
    }

    .faq-question, .parameter-question {
        padding: 10px; /* Ajustement de la taille du padding */
    }

    .categorie-item {
        width: calc(50% - 20px); /* Deux éléments par ligne */
        margin: 5px auto;
    }
    .categorie-tag{
       padding: 0;
    }
}

/* Styles pour les tablettes */
@media (min-width: 768px) and (max-width: 991px) {
    .faq, .parameters {
        max-width: 100%; /* Ajustez selon vos besoins */
        margin: 0 auto;
        padding: 0 30px; /* Ajout de marges intérieures */
    }

    .faq-question, .parameter-question {
        padding: 15px; /* Ajustement de la taille du padding */
    }

    .categorie-item {
        width: calc(33.33% - 20px); /* Trois éléments par ligne */
    }
}

/* Styles pour les écrans moyens et grands (ordinateurs de bureau) */
@media (min-width: 992px) {
    .faq, .parameters {
        max-width: 600px; /* Ajustez selon vos besoins */
        margin: 0 auto;
    }

    .categorie-item {
        width: calc(33.33% - 20px); /* Trois éléments par ligne */
    }
}